List personalized release updates
curl --request GET \
--url https://api.semicola.com/api/v2/release-updates \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.semicola.com/api/v2/release-updates"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.semicola.com/api/v2/release-updates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"scope": "for_you",
"updates": [
{
"id": "<string>",
"version": "<string>",
"releasedAt": "2023-11-07T05:31:56Z",
"description": "<string>",
"tier": "fix",
"audience": "buyers",
"feature": {
"key": "<string>",
"title": "<string>",
"description": "<string>",
"maturity": "alpha",
"docsUrl": "<string>"
},
"relevance": [
"affected"
],
"reason": "affected",
"unread": true
}
],
"totalCount": 4503599627370495,
"unreadCount": 4503599627370495,
"lastSeenAt": "2023-11-07T05:31:56Z",
"hasMore": true,
"generatedAt": "2023-11-07T05:31:56Z"
},
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": "<unknown>"
}
}Notifications
List personalized release updates
GET
/
api
/
v2
/
release-updates
List personalized release updates
Authorizations
bearerAuthsessionCookie
API key or OAuth access token.
Query Parameters
Available options:
for_you, explore, all Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$Required range:
0 <= x <= 9007199254740991Required range:
1 <= x <= 100